Exceptions
==========

openstacksdk provides a number of `exceptions`__ for commonly encountered
issues, such as missing API endpoints, various HTTP error codes, timeouts and
so forth. It is the responsibility of the calling application to handle these
exceptions appropriately.

Available exceptions
--------------------

.. automodule:: openstack.exceptions
   :members:

.. __: https://docs.python.org/3/library/exceptions.html
